v7.0
get
/ec-ors-svc/rest/v7.0/studies/{studyId}/{mode}/orders
Deprecated: Retrieves details of the orders. In this version, tempExcursionNumber is added to return temperature excursion number of the kit in an order. If a kit list is disabled, the shipment will be excluded from the Orders API. Rights: OrsInventoryGet, OrsUnblinded.
Request
Path Parameters
-
mode(required): string
Mode of the study, accepts: test, active, or training.
-
studyId(required): string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the study.
Query Parameters
-
endDate(required): string
The ending date and time (optional). If you don't specify the time, the date range stops before midnight (23:59:59 UTC) for the specified date. The accepted date and time formats are: dd-MMM-yyyy HH:mm:ss.SSS, dd-MMM-yyyy HH:mm:ss, or dd-MMM-yyyy HH:mm.
-
includeDepotShipments(required): boolean
By Default this value is set to False, which the default API will exclude depot to depot shipments.Default Value:
false -
includePooledShipments(required): boolean
By Default this value is set to False, which the default API will exclude pooled shipments.Default Value:
false -
includeReconShipments(required): boolean
By Default this value is set to False, which the default API will exclude destruction shipments.Default Value:
false -
limit: integer(int32)
Minimum Value:
1Maximum number of records to display per page. -
offset: integer(int32)
Minimum Value:
0An order number to specify with which object you want to start retrieving result. If provided, you also need to specify a value for the limit parameter. -
startDate(required): string
The starting date and time (optional). If you don't specify the time, the date range begins after midnight (UTC) for the specified date. The accepted date and time formats are: dd-MMM-yyyy HH:mm:ss.SSS, dd-MMM-yyyy HH:mm:ss, or dd-MMM-yyyy HH:mm.
-
status: string
Status of the order.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : OrderInventoryPagedListResponse v7.0
Type:
objectTitle:
OrderInventoryPagedListResponse v7.0Contains order details for the inventory.
Show Source
-
count: integer
(int32)
Number of results in the current page.Example:
25 -
hasMore: boolean
Indicates if there are more results beyond the current page.Example:
true -
limit: integer
(int32)
Maximum number of records returned per page.Example:
25 -
offset: integer
(int32)
Index of the first record returned in the current page.Example:
0 -
resultData: array
resultData
Paginated result data for the current page. The concrete type depends on the API and typically is an array or list of DTOs.
-
shipments: array
shipments
-
totalResults: integer
(int32)
Total number of results across all pages.Example:
125
Nested Schema : resultData
Type:
arrayPaginated result data for the current page. The concrete type depends on the API and typically is an array or list of DTOs.
Show Source
-
Array of:
object OrderInventoryDTO v7.0
Title:
OrderInventoryDTO v7.0Contains inventory order details.
Nested Schema : shipments
Type:
Show Source
array-
Array of:
object OrderInventoryDTO v7.0
Title:
OrderInventoryDTO v7.0Contains inventory order details.
Nested Schema : OrderInventoryDTO v7.0
Type:
objectTitle:
OrderInventoryDTO v7.0Contains inventory order details.
Show Source
-
inventory: array
Inventory
Title:
InventoryList of inventory records. -
kitTypes: array
Kit Types
Title:
Kit TypesList of kit types for the order. -
order: object
OrderDTO v5.0
Title:
OrderDTO v5.0Contains order related details. -
version: integer
(int32)
Version.Example:
1
Nested Schema : Inventory
Type:
arrayTitle:
InventoryList of inventory records.
Show Source
-
Array of:
object InventoryDTO v3.0
Title:
InventoryDTO v3.0Contains details of inventories.
Nested Schema : Kit Types
Type:
arrayTitle:
Kit TypesList of kit types for the order.
Show Source
-
Array of:
object OrdersKitTypes
Orders Kit Types object for Pooling Supplies.
Nested Schema : OrderDTO v5.0
Type:
objectTitle:
OrderDTO v5.0Contains order related details.
Show Source
-
comment: string
Comment.Example:
Updated with new values -
deliveryNumber: string
Title:
Delivery NumberDelivery number.Example:Order123 -
depotId: string
(uuid)
Depot ID.
-
depotVersionStart: string
(date-time)
Depot version start.
-
includePooledShipments: boolean
Title:
Include Pooled ShipmentsIndicates whether to include pooled shipments.Example:true -
isDepotShipment: boolean
Depot shipment indicator.Example:
true -
isReconciliation: boolean
Indicates whether kit reconciliation is included.Example:
true -
jobInstanceId: string
(uuid)
Job instance ID.
-
objectVersionNumber: number
(BigDecimal)
Object version number.Example:
5 -
operationType: string
Allowed Values:
[ "CREATED", "MODIFIED", "REMOVED" ]Operation type.Example:CREATED -
orderDate: string
(date-time)
Order date.
-
orderId: string
(uuid)
Order ID.
-
orderStatusId: number
(double)
Order status ID.Example:
5 -
orderType: string
Allowed Values:
[ "INITIAL", "RESUPPLY", "MANUAL" ]Order type (Manual or Resupply).Example:MANUAL -
orderTypeId: integer
(int64)
Order type ID.Example:
5 -
reason: string
Reason.Example:
DATA ENTRY ERROR -
reportId: string
(uuid)
Report ID.Example:
b1b8327a-faa6-4122-8710-6192ab5984ef -
shipDate: string
(date-time)
Ship date.
-
shipmentId: string
ID of the shipment.Example:
123 -
shipmentReceiptDate: string
(date-time)
Title:
Shipment Receipt DateShipment receipt date. -
shipmentReceivedById: string
(uuid)
Title:
Shipment Received By IDShipment received by ID. -
shippingAddress: string
Title:
Shipping AddressShipping address.Example:City,Country,Local Address -
shippingAddressId: string
(uuid)
Title:
Shipping Address IDShipping address ID. -
siteId: string
(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the clinical site.
-
siteVersionStart: string
(date-time)
Site version start date.
-
softwareVersionNumber: number
(BigDecimal)
Software version number.Example:
5 -
studyId: string
(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the study.
-
studyVersionStart: string
(date-time)
Study version start.
-
trackingNumber: string
Shipment tracking number.Example:
12345 -
trackingNumberUrl: string
Tracking URL.Example:
http://www.site.com -
userId: string
(uuid)
User ID.Example:
b1b8327a-faa6-4122-8710-6192ab5984ef -
versionEnd: string
(date-time)
The end date until which the data is applicable or valid.
-
versionStart: string
(date-time)
The timestamp marking the beginning of the validity period for this record version within the system.
Nested Schema : InventoryDTO v3.0
Type:
objectTitle:
InventoryDTO v3.0Contains details of inventories.
Show Source
-
blockNumber: string
Title:
Block NumberBlock number.Example:245 -
blocknumber: string
-
doNotCount: number
(double)
Do Not Count (DNC) Days.Example:
5 -
doNotShip: number
(double)
Do Not Ship (DNS) Days.Example:
5 -
expirationDate: string
(date-time)
Expiration date.
-
inventoryId: string
(uuid)
Inventory ID.
-
inventorySourceId: string
(uuid)
Inventory ID.
-
inventorySourceVersionStart: string
(date-time)
Inventory version start.
-
inventoryStatusId: number
(double)
Allowed Values:
[ 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20 ]Unique ID corresponding to each inventory status value (1 for Available, 2 for Damaged, 3 for Destroyed, 4 for Dispensed, 5 for Expired, 6 for Not in Use, 7 for Misallocated, 8 for Missing, 9 for In Transit, 10 for Quarantined, 11 for Pre-quarantined, 12 for Pending Destruction, 13 for Lost by Subject, 14 for Temporarily Unavailable, 15 for Damaged by Subject, 16 for New, 17 for Not Dispensed to Subject, 18 for Returned to Site, 19 for Conserved, 20 for Received for Destruction).Example:5 -
kitNumber: number
(double)
Kit number.Example:
5 -
kitNumberUTF: string
Title:
Kit Number UTFKit number with UTF-8 support.Example:24-1 -
kitTypeId: string
(uuid)
ID of the kit type.
-
kitTypeVersionStart: string
(date-time)
Kit type version start date.
-
labelGroupId: string
(uuid)
Label group ID.
-
labelGroupVersionStart: string
(date-time)
Label group version start date.
-
lotId: string
(uuid)
Lot ID.
-
lotVersionStart: string
(date-time)
Lot version start date.
-
sequenceNumber: number
(double)
Sequence number.Example:
5 -
siteId: string
(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the clinical site.
-
siteVersionStart: string
(date-time)
Site version start date.
-
tempExcursionNumber: string
Title:
Temperature Excursion NumberTemperature excursion number.Example:001 -
versionEnd: string
(date-time)
The end date until which the data is applicable or valid.
-
versionStart: string
(date-time)
The timestamp marking the beginning of the validity period for this record version within the system.
Nested Schema : OrdersKitTypes
Type:
objectOrders Kit Types object for Pooling Supplies.
Show Source
-
comment: string
Title:
CommentComment.Example:test -
id: string
(uuid)
Order Kit Type Id for Pooling Supplies
-
kitTypeSrcId: string
(uuid)
Title:
Kit Type Source IDKit type ID. -
lotId: string
(uuid)
Title:
Lot IDLot ID. -
lotNumber: string
Title:
Manufacturing Lot NumberManufacturing lot number.Example:MLOT -
minExpirationDate: string
(date-time)
Title:
Effective Expiration DateEffective expiration date. -
objectVersionNumber: number
(number)
Title:
Object Version NumberObject version number. -
operationType: string
Title:
Operation TypeOperation type.Example:modified -
pooledKitId: string
Title:
Pooled Kit IDPooled kit identifier.Example:Pooled Kit01 -
quantity: number
(number)
Title:
QuantityKit quantity.Example:5 -
reason: string
Title:
ReasonReason.Example:test -
softwareVersionNumber: number
(number)
Title:
Software Version NumberSoftware version number. -
userId: string
(uuid)
Title:
User IDUser ID. -
versionEnd: string
(date-time)
The end date until which the data is applicable or valid.
-
versionStart: string
(date-time)
The timestamp marking the beginning of the validity period for this record version within the system.
400 Response
Invalid order status value
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object500 Response
Internal server error
Nested Schema : result
Type:
objectNested Schema : details
Type:
object